PETSc version 3.17.4
Fix/Edit manual page

# CHKERRABORT

Checks error code returned from PETSc function. If non-zero it aborts immediately.

### Synopsis

    #include <petscerror.h>
    void CHKERRABORT(MPI_Comm comm, PetscErrorCode ierr)

Not Collective

### Input Parameters

| comm | - the MPI communicator
| ierr | - nonzero error code, see the list of standard error codes in include/petscerror.h

### Notes

Deprecated in favor of PetscCallAbort(). This routine behaves identically to it.

### See Also

PetscCallAbort()

### Level

deprecated

### Location

src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages